<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-warning">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <b style="font-family: monospace;">DAFTAR KEBERATAN</b> <a href="<?= $this->url() ?>/form_tambah" class="btn btn-sm btn-warning" title="" style="color: white"><i class="glyph-icon icon-plus"></i> Tambah</a>
                </h4>
            </div>
            <div class="panel-body">
                <ul class="nav-responsive nav nav-tabs">
                    <li class="active"><a href="#tab1" data-toggle="tab">DAFTAR PERMOHONAN</a></li>
                    <li><a href="#tab2" data-toggle="tab">DAFTAR KEPUTUSAN</a></li>
                    <!--<li><a href="#tab5" data-toggle="tab">Pencetakan</a></li>-->
                </ul>
                <div class="tab-content">
                    <?= $this->partial('grid_permohonan.phtml'); ?>
                    <?= $this->partial('grid_keputusan'); ?>
                    <?= $this->partial('pencetakan.phtml'); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function bukaCetakangsuran(a, b) {
        $.post('<?= $this->url() ?>/dataAngsuran', {t_idangsuran: a, t_jenisketetapan: b}, function (data) {
            var aa = JSON.parse(data);
            $("#t_idangsuran").val(a);
            $("#t_jenisketetapan").val(b);
            $("#namawp").val(aa.namawp);
            $("#alamatwp").val(aa.alamatwp);
        });
        $('#modalCetakangsuran').modal('show');
    }

    function tutupCetakangsuran() {
        $('#modalCetakangsuran').modal('hide');
    }

    function cetakangsuran() {
        window.open('<?= $this->url() ?>/cetakangsuran?t_idangsuran=' + $("#t_idangsuran").val() + "&t_jenisketetapan=" + $("#t_jenisketetapan").val() + "&ttd0=" + $("#ttd0").val());
    }
</script>
<div class="modal fade" id="modalCetakangsuran" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>CETAK SURAT ANGSURAN</b></h4>
            </div>
            <div class='modal-body'>
                <div class='example-box-wrapper'>
                    <div class='example-box-wrapper'>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Nama WP
                            </label>
                            <div class="col-md-6">
                                <input type="hidden" name="t_idangsuran" id="t_idangsuran">
                                <input type="hidden" name="t_jenisketetapan" id="t_jenisketetapan">
                                <input type="text" class="form-control" name="namawp" id="namawp" readonly="">
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Alamat WP
                            </label>
                            <div class="col-md-9">
                                <textarea class="form-control" name="alamatwp" id="alamatwp" readonly=""></textarea>
                            </div>
                        </div>
                        <div class="col-md-12 form-horizontal">
                            <label class="col-md-3 control-label">
                                Penandatangan
                            </label>
                            <div class="col-md-9">
                                <select name="ttd0" id="ttd0" class="form-control">
                                    <?php foreach ($ar_ttd0 as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div> 
            </div>
            <div class='modal-footer'>
                <div class='col-sm-12'> 
                    <a href="#" class="btn btn-sm btn-danger" title="" onclick="cetakangsuran()"><i class="glyph-icon icon-file-pdf-o"></i> PDF</a>
                    <button class='btn btn-primary btn-sm' onclick='tutupCetakangsuran()'><i class='glyph-icon icon-close'></i> Tutup</button>
                </div>              
            </div> 
        </div>
    </div>
</div>